<template>
  <div class="card">
    <slot />
  </div>
</template>
<style lang="scss">

@import "~assets/mixins.scss";

.card {
  border: $border;
  margin: $grid;
  
  @include rounded-corners;

  & > .card-content , & > .card-content:first-child , & > .card-content:last-child {
    margin-left: 0;
    margin-right: 0;
    margin-top: 0;
    margin-bottom: 0;
  }
  
  > * , .card-content > * {
    display: block;
    margin: $grid*0.5 $grid;

    &:first-child {
      margin-top: $grid;
    }
    &:last-child {
      margin-bottom: $grid;
    }
  }

  .action-bar {
    margin-bottom: 0;

    > a {
      &:first-child {
        @include rounded-bottom-left-corner;
      }
      &:last-child {
        @include rounded-bottom-right-corner;
      }
    }
  }
}

</style>
<script>

export default {
//  functional: true,
}
  
</script>
